<?php
	//http://php.net/manual/en/features.file-upload.put-method.php
	//http://stackoverflow.com/questions/541430/how-do-i-read-any-request-header-in-php

	$headers = apache_request_headers();
	//Webkit uses file_fileName, FF uses file_name
	$name_header = isset($headers['file_fileName']) ? $headers['file_fileName'] : $headers['file_name'];

	$upload_url = 'uploads/'.$name_header;

	/* PUT data comes in on the stdin stream */
	$putdata = fopen("php://input", "r");

	/* Open a file for writing */
	$fp = fopen(dirname(__FILE__).'/'.$upload_url, "w");

	/* Read the data 1 KB at a time and write to the file */
	while ($data = fread($putdata, 1024))
		fwrite($fp, $data);

	/* Close the streams */
	fclose($fp);
	fclose($putdata);

	echo $upload_url;